Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.annotations
Class AppearanceCharacteristics

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class AppearanceCharacteristics

extends PdfObjectWrapper<PdfDictionary>

Appearance characteristics [PDF:1.6:8.4.5].

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `AppearanceCharacteristics.CaptionPositionEnum` Caption position relative to its icon [PDF:1.6:8.4.5].
`static class` | `AppearanceCharacteristics.IconFitObject` Icon fit [PDF:1.6:8.6.6].
`static class` | `AppearanceCharacteristics.OrientationEnum` Annotation orientation [PDF:1.6:8.4.5].

Constructor Summary
`AppearanceCharacteristics(Document context)`

Method Summary
`AppearanceCharacteristics` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`String` | `getAlternateCaption()` Gets the widget annotation's alternate (down) caption, displayed when the mouse button is pressed within its active area (Pushbutton fields only).
`FormXObject` | `getAlternateIcon()` Gets the widget annotation's alternate (down) icon definition, displayed when the mouse button is pressed within its active area (Pushbutton fields only).
`DeviceColor` | `getBackgroundColor()` Gets the widget annotation's background color.
`DeviceColor` | `getBorderColor()` Gets the widget annotation's border color.
`AppearanceCharacteristics.CaptionPositionEnum` | `getCaptionPosition()` Gets the position of the caption relative to its icon (Pushbutton fields only).
`AppearanceCharacteristics.IconFitObject` | `getIconFit()` Gets the icon fit specifying how to display the widget annotation's icon within its annotation box (Pushbutton fields only).
`String` | `getNormalCaption()` Gets the widget annotation's normal caption, displayed when it is not interacting with the user (Button fields only).
`FormXObject` | `getNormalIcon()` Gets the widget annotation's normal icon definition, displayed when it is not interacting with the user (Pushbutton fields only).
`AppearanceCharacteristics.OrientationEnum` | `getOrientation()` Gets the widget annotation's orientation.
`String` | `getRolloverCaption()` Gets the widget annotation's rollover caption, displayed when the user rolls the cursor into its active area without pressing the mouse button (Pushbutton fields only).
`FormXObject` | `getRolloverIcon()` Gets the widget annotation's rollover icon definition, displayed when the user rolls the cursor into its active area without pressing the mouse button (Pushbutton fields only).
`void` | `setAlternateCaption(String value)` Sets the widget annotation's alternate (down) caption.
`void` | `setAlternateIcon(FormXObject value)` Sets the widget annotation's alternate (down) icon definition.
`void` | `setBackgroundColor(DeviceColor value)` Sets the widget annotation's background color.
`void` | `setBorderColor(DeviceColor value)` Sets the widget annotation's border color.
`void` | `setCaptionPosition(AppearanceCharacteristics.CaptionPositionEnum value)` Sets the position of the caption relative to its icon.
`void` | `setIconFit(AppearanceCharacteristics.IconFitObject value)` Sets the icon fit specifying how to display the widget annotation's icon within its annotation box.
`void` | `setNormalCaption(String value)` Sets the widget annotation's normal caption.
`void` | `setNormalIcon(FormXObject value)` Sets the widget annotation's normal icon definition.
`void` | `setOrientation(AppearanceCharacteristics.OrientationEnum value)` Sets the widget annotation's orientation.
`void` | `setRolloverCaption(String value)` Sets the widget annotation's rollover caption.
`void` | `setRolloverIcon(FormXObject value)` Sets the widget annotation's rollover icon definition.
`static AppearanceCharacteristics` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppearanceCharacteristics

    public AppearanceCharacteristics(Document context)

Method Detail

### wrap

    public static AppearanceCharacteristics wrap(PdfDirectObject baseObject)

### clone

    public AppearanceCharacteristics clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getAlternateCaption

    public String getAlternateCaption()

  Gets the widget annotation's alternate (down) caption, displayed when the mouse button is pressed within its active area (Pushbutton fields only).

### getAlternateIcon

    public FormXObject getAlternateIcon()

  Gets the widget annotation's alternate (down) icon definition, displayed when the mouse button is pressed within its active area (Pushbutton fields only).

### getBackgroundColor

    public DeviceColor getBackgroundColor()

  Gets the widget annotation's background color.

### getBorderColor

    public DeviceColor getBorderColor()

  Gets the widget annotation's border color.

### getCaptionPosition

    public AppearanceCharacteristics.CaptionPositionEnum getCaptionPosition()

  Gets the position of the caption relative to its icon (Pushbutton fields only).

### getIconFit

    public AppearanceCharacteristics.IconFitObject getIconFit()

  Gets the icon fit specifying how to display the widget annotation's icon within its annotation box (Pushbutton fields only). If present, the icon fit applies to all of the annotation's icons (normal, rollover, and alternate).

### getNormalCaption

    public String getNormalCaption()

  Gets the widget annotation's normal caption, displayed when it is not interacting with the user (Button fields only).

### getNormalIcon

    public FormXObject getNormalIcon()

  Gets the widget annotation's normal icon definition, displayed when it is not interacting with the user (Pushbutton fields only).

### getOrientation

    public AppearanceCharacteristics.OrientationEnum getOrientation()

  Gets the widget annotation's orientation.

### getRolloverCaption

    public String getRolloverCaption()

  Gets the widget annotation's rollover caption, displayed when the user rolls the cursor into its active area without pressing the mouse button (Pushbutton fields only).

### getRolloverIcon

    public FormXObject getRolloverIcon()

  Gets the widget annotation's rollover icon definition, displayed when the user rolls the cursor into its active area without pressing the mouse button (Pushbutton fields only).

### setAlternateCaption

    public void setAlternateCaption(String value)

  Sets the widget annotation's alternate (down) caption.

  See Also:
    `getAlternateCaption()`

### setAlternateIcon

    public void setAlternateIcon(FormXObject value)

  Sets the widget annotation's alternate (down) icon definition.

  See Also:
    `getAlternateIcon()`

### setBackgroundColor

    public void setBackgroundColor(DeviceColor value)

  Sets the widget annotation's background color.

  See Also:
    `getBackgroundColor()`

### setBorderColor

    public void setBorderColor(DeviceColor value)

  Sets the widget annotation's border color.

  See Also:
    `getBorderColor()`

### setCaptionPosition

    public void setCaptionPosition(AppearanceCharacteristics.CaptionPositionEnum value)

  Sets the position of the caption relative to its icon.

  See Also:
    `getCaptionPosition()`

### setIconFit

    public void setIconFit(AppearanceCharacteristics.IconFitObject value)

  Sets the icon fit specifying how to display the widget annotation's icon within its annotation box.

  See Also:
    `getIconFit()`

### setNormalCaption

    public void setNormalCaption(String value)

  Sets the widget annotation's normal caption.

  See Also:
    `getNormalCaption()`

### setNormalIcon

    public void setNormalIcon(FormXObject value)

  Sets the widget annotation's normal icon definition.

  See Also:
    `getNormalIcon()`

### setOrientation

    public void setOrientation(AppearanceCharacteristics.OrientationEnum value)

  Sets the widget annotation's orientation.

  See Also:
    `getOrientation()`

### setRolloverCaption

    public void setRolloverCaption(String value)

  Sets the widget annotation's rollover caption.

  See Also:
    `getRolloverCaption()`

### setRolloverIcon

    public void setRolloverIcon(FormXObject value)

  Sets the widget annotation's rollover icon definition.

  See Also:
    `getRolloverIcon()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.